NNG_AIO_SET_MSG(3)

NAME
nng_aio_set_msg - set message for asynchronous send

SYNOPSIS

    #include <nng/nng.h>

    void nng_aio_set_msg(nng_aio *aio, nng_msg *msg);

DESCRIPTION

The nng_aio_set_msg() function sets the message that will be used for an asynchronous send operation (see nng_send_aio()).

    Important

    The nng_aio must not have an operation in progress.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_aio_get_msg(3), nng_send_aio(3), nng_aio(5), nng_msg(5), nng(7)